Bug 868472 - [abrt] mate-file-manager-1.4.0-12.fc18: handle_error: Process /usr/bin/caja was killed by signal 5 (SIGTRAP)
[abrt] mate-file-manager-1.4.0-12.fc18: handle_error: Process /usr/bin/caja w...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mate-file-manager (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
abrt_hash:c4b60b75bcdfbe47c7261839ea8...
:
: 868571 870852 874102 875276 875917 877821 877823 (view as bug list)
Depends On:
Blocks: 868538
  Show dependency treegraph
 
Reported: 2012-10-19 23:56 EDT by Dan Mashal
Modified: 2013-12-11 11:57 EST (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-23 03:03:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.71 KB, text/plain)
2012-10-19 23:56 EDT, Dan Mashal
no flags Details
File: environ (1.43 KB, text/plain)
2012-10-19 23:56 EDT, Dan Mashal
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-19 23:56 EDT, Dan Mashal
no flags Details
File: backtrace (32.79 KB, text/plain)
2012-10-19 23:56 EDT, Dan Mashal
no flags Details
File: cgroup (126 bytes, text/plain)
2012-10-19 23:56 EDT, Dan Mashal
no flags Details
File: xsession_errors (1.48 KB, text/plain)
2012-10-19 23:56 EDT, Dan Mashal
no flags Details
File: maps (42.08 KB, text/plain)
2012-10-19 23:56 EDT, Dan Mashal
no flags Details
File: dso_list (8.02 KB, text/plain)
2012-10-19 23:56 EDT, Dan Mashal
no flags Details
File: proc_pid_status (918 bytes, text/plain)
2012-10-19 23:56 EDT, Dan Mashal
no flags Details
File: var_log_messages (2.30 KB, text/plain)
2012-10-19 23:56 EDT, Dan Mashal
no flags Details
File: open_fds (1.09 KB, text/plain)
2012-10-19 23:56 EDT, Dan Mashal
no flags Details
File: build_ids (3.48 KB, text/plain)
2012-10-19 23:56 EDT, Dan Mashal
no flags Details

  None (edit)
Description Dan Mashal 2012-10-19 23:56:00 EDT
Version-Release number of selected component:
mate-file-manager-1.4.0-12.fc18

Additional info:
libreport version: 2.0.16
abrt_version:   2.0.16
backtrace_rating: 4
cmdline:        caja
crash_function: handle_error
kernel:         3.6.2-2.fc18.x86_64

truncated backtrace:
:Thread no. 1 (8 frames)
: #4 handle_error at xcb_io.c:212
: #5 handle_response at xcb_io.c:324
: #6 _XEventsQueued at xcb_io.c:363
: #7 XPending at Pending.c:55
: #8 gdk_check_xpending at gdkevents-x11.c:159
: #9 gdk_event_check at gdkevents-x11.c:2378
: #10 g_main_context_check at gmain.c:3169
: #13 gtk_main at gtkmain.c:1257
Comment 1 Dan Mashal 2012-10-19 23:56:02 EDT
Created attachment 630341 [details]
File: core_backtrace
Comment 2 Dan Mashal 2012-10-19 23:56:03 EDT
Created attachment 630342 [details]
File: environ
Comment 3 Dan Mashal 2012-10-19 23:56:04 EDT
Created attachment 630343 [details]
File: limits
Comment 4 Dan Mashal 2012-10-19 23:56:06 EDT
Created attachment 630344 [details]
File: backtrace
Comment 5 Dan Mashal 2012-10-19 23:56:07 EDT
Created attachment 630345 [details]
File: cgroup
Comment 6 Dan Mashal 2012-10-19 23:56:09 EDT
Created attachment 630346 [details]
File: xsession_errors
Comment 7 Dan Mashal 2012-10-19 23:56:10 EDT
Created attachment 630347 [details]
File: maps
Comment 8 Dan Mashal 2012-10-19 23:56:11 EDT
Created attachment 630348 [details]
File: dso_list
Comment 9 Dan Mashal 2012-10-19 23:56:13 EDT
Created attachment 630349 [details]
File: proc_pid_status
Comment 10 Dan Mashal 2012-10-19 23:56:14 EDT
Created attachment 630350 [details]
File: var_log_messages
Comment 11 Dan Mashal 2012-10-19 23:56:15 EDT
Created attachment 630351 [details]
File: open_fds
Comment 12 Dan Mashal 2012-10-19 23:56:17 EDT
Created attachment 630352 [details]
File: build_ids
Comment 13 Ryan Petersen 2012-10-21 06:31:13 EDT
Problem occured while changing monitor resolution from 1280x1024 to 1024x768 while in the MATE Desktop Environment.
Switching back to 1280x1024 did not reproduce the problem. Switching back to 1024x768 from the higher resolution reproduces the problem.


backtrace_rating: 4
Package: mate-file-manager-1.4.0-12.fc19
Architecture: i686
OS Release: Fedora release 19 (Rawhide)
Comment 14 Dan Mashal 2012-10-23 00:59:56 EDT
Installing clearlooks-compact-gnome-theme does help. 

However it does not fix the problem. (There is a combination of problems here.)
Comment 15 leigh scott 2012-10-25 16:11:43 EDT
Is this problem happening on hardware or VM?
Comment 16 Dan Mashal 2012-10-25 16:12:46 EDT
vm, I'm working with upstream to resolve this.
Comment 17 Dan Mashal 2012-10-27 20:50:44 EDT
This is caused by DBus.

var_log_messages:
:Oct 27 16:50:51 localhost dbus-daemon[760]: dbus[760]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.44" (uid=1000 pid=1273 comm="caja ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.7" (uid=0 pid=830 comm="/usr/sbin/console-kit-daemon --no-daemon ")
:Oct 27 16:50:51 localhost dbus[760]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.44" (uid=1000 pid=1273 comm="caja ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.7" (uid=0 pid=830 comm="/usr/sbin/console-kit-daemon --no-daemon ")
:Oct 27 17:06:39 localhost dbus-daemon[744]: dbus[744]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.34" (uid=1000 pid=1169 comm="caja ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.7" (uid=0 pid=811 comm="/usr/sbin/console-kit-daemon --no-daemon ")
:Oct 27 17:06:39 localhost dbus[744]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.34" (uid=1000 pid=1169 comm="caja ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.7" (uid=0 pid=811 comm="/usr/sbin/console-kit-daemon --no-daemon ")
:Oct 27 17:06:55 localhost kernel: [  101.766366] traps: caja[1169] trap int3 ip:7f5f9fff4ca7 sp:7ffffbd3a550 error:0
:Oct 27 17:06:55 localhost abrt[1355]: Saved core dump of pid 1169 (/usr/bin/caja) to /var/spool/abrt/ccpp-2012-10-27-17:06:55-1169 (23568384 bytes)
:Oct 27 17:06:56 localhost dbus-daemon[744]: dbus[744]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.54" (uid=1000 pid=1357 comm="caja ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.7" (uid=0 pid=811 comm="/usr/sbin/console-kit-daemon --no-daemon ")
:Oct 27 17:06:56 localhost dbus[744]: [system] Rejected send message, 2 matched rules; type="method_call", sender=":1.54" (uid=1000 pid=1357 comm="caja ") interface="org.freedesktop.DBus.Properties" member="GetAll" error name="(unset)" requested_reply="0" destination=":1.7" (uid=0 pid=811 comm="/usr/sbin/console-kit-daemon --no-daemon ")


Changing /etc/dbus-1/system.conf to the following fixes the issue:

    <allow send_destination="org.freedesktop.DBus"
          send_interface="org.freedesktop.DBus"
          send_member="UpdateActivationEnvironment"/>
Comment 18 Dan Mashal 2012-10-29 00:50:52 EDT
*** Bug 870852 has been marked as a duplicate of this bug. ***
Comment 19 Dan Mashal 2012-10-29 01:02:25 EDT
*** Bug 868571 has been marked as a duplicate of this bug. ***
Comment 20 Dan Mashal 2012-10-30 02:26:15 EDT
Found this which points to an unfixed bug in dbus-sharp upstream:

https://github.com/mono/dbus-sharp/issues/17
Comment 21 Dan Mashal 2012-11-10 04:27:50 EST
*** Bug 875276 has been marked as a duplicate of this bug. ***
Comment 22 Dan Mashal 2012-11-10 04:28:25 EST
*** Bug 874102 has been marked as a duplicate of this bug. ***
Comment 23 Dan Mashal 2012-11-13 05:22:13 EST
*** Bug 875917 has been marked as a duplicate of this bug. ***
Comment 24 satellitgo 2012-11-13 15:10:20 EST
took screenshot in mate 1.5.1

backtrace_rating: 4
Package: mate-file-manager-1.5.0-2.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 25 Dan Mashal 2012-11-17 00:42:50 EST
Please see the following links for updates to this bug:

https://github.com/mate-desktop/mate-file-manager/issues/40
https://github.com/mate-desktop/mate-file-manager/issues/41

Will be fixed soon in 1.5 hopefully.
Comment 26 leigh scott 2012-11-18 18:55:43 EST
*** Bug 877821 has been marked as a duplicate of this bug. ***
Comment 27 Dan Mashal 2012-11-19 08:23:28 EST
*** Bug 877823 has been marked as a duplicate of this bug. ***
Comment 28 Fedora Update System 2012-11-19 08:30:39 EST
mate-file-manager-1.5.0-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-file-manager-1.5.0-4.fc18
Comment 29 Fedora Update System 2012-11-19 14:32:48 EST
Package mate-file-manager-1.5.0-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-file-manager-1.5.0-4.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18487/mate-file-manager-1.5.0-4.fc18
then log in and leave karma (feedback).
Comment 30 Fedora Update System 2012-11-20 06:06:44 EST
mate-panel-1.5.1-1.fc18, mate-image-viewer-1.5.0-2.fc18, libmatewnck-1.5.0-1.fc18, libmatenotify-1.5.0-1.fc18, libmateweather-1.5.0-1.fc18, libmatekbd-1.5.0-1.fc18, libmatekeyring-1.5.0-1.fc18, mate-icon-theme-1.5.0-1.fc18, mate-dialogs-1.5.0-2.fc18, mate-doc-utils-1.5.0-1.fc18, mate-menus-1.5.0-1.fc18, mate-media-1.5.0-1.fc18, mate-system-monitor-1.5.0-1.fc18, mate-keyring-1.5.0-2.fc18, mate-settings-daemon-1.5.3-1.fc18, mate-control-center-1.5.0-2.fc18, mate-notification-daemon-1.5.0-1.fc18, mate-session-manager-1.5.0-1.fc18, mate-themes-1.5.0-1.fc18, mate-utils-1.4.0-4.fc18, mate-screensaver-1.5.0-3.fc18, mate-window-manager-1.5.2-7.fc18, mate-desktop-1.5.3-4.fc18, mate-power-manager-1.5.0-2.fc18, mate-file-manager-1.5.0-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-17936/mate-screensaver-1.5.0-3.fc18,mate-utils-1.4.0-4.fc18,mate-power-manager-1.5.0-2.fc18,mate-themes-1.5.0-1.fc18,mate-file-manager-1.5.0-5.fc18,mate-session-manager-1.5.0-1.fc18,mate-notification-daemon-1.5.0-1.fc18,mate-control-center-1.5.0-2.fc18,mate-settings-daemon-1.5.3-1.fc18,mate-window-manager-1.5.2-7.fc18,mate-keyring-1.5.0-2.fc18,mate-system-monitor-1.5.0-1.fc18,mate-media-1.5.0-1.fc18,mate-menus-1.5.0-1.fc18,mate-panel-1.5.1-1.fc18,libmatewnck-1.5.0-1.fc18,libmatenotify-1.5.0-1.fc18,libmateweather-1.5.0-1.fc18,libmatekbd-1.5.0-1.fc18,libmatekeyring-1.5.0-1.fc18,mate-icon-theme-1.5.0-1.fc18,mate-desktop-1.5.3-4.fc18,mate-dialogs-1.5.0-2.fc18,mate-doc-utils-1.5.0-1.fc18,mate-image-viewer-1.5.0-2.fc18
Comment 31 Fedora Update System 2012-11-23 03:03:11 EST
mate-panel-1.5.1-1.fc18, mate-image-viewer-1.5.0-2.fc18, libmatewnck-1.5.0-1.fc18, libmatenotify-1.5.0-1.fc18, libmateweather-1.5.0-1.fc18, libmatekbd-1.5.0-1.fc18, libmatekeyring-1.5.0-1.fc18, mate-icon-theme-1.5.0-1.fc18, mate-dialogs-1.5.0-2.fc18, mate-doc-utils-1.5.0-1.fc18, mate-menus-1.5.0-1.fc18, mate-media-1.5.0-1.fc18, mate-system-monitor-1.5.0-1.fc18, mate-keyring-1.5.0-2.fc18, mate-settings-daemon-1.5.3-1.fc18, mate-control-center-1.5.0-2.fc18, mate-notification-daemon-1.5.0-1.fc18, mate-session-manager-1.5.0-1.fc18, mate-themes-1.5.0-1.fc18, mate-utils-1.4.0-4.fc18, mate-screensaver-1.5.0-3.fc18, mate-window-manager-1.5.2-7.fc18, mate-desktop-1.5.3-4.fc18, mate-power-manager-1.5.0-2.fc18, mate-file-manager-1.5.0-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 32 Fedora Update System 2012-12-03 21:52:11 EST
mate-file-manager-1.5.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-file-manager-1.5.2-1.fc18
Comment 33 Fedora Update System 2013-01-11 18:14:50 EST
mate-file-manager-1.5.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 34 billyestuvoaqui 2013-01-13 13:17:11 EST
After updating, I get this error every 20 seconds:

https://bugzilla.redhat.com/show_bug.cgi?id=894572
Comment 35 Naipaul Ojar 2013-03-25 21:36:22 EDT
I have mate-file-manager-1.5.4.1.fc18.x86_64 and I received the error tonight, which abrt, matched to this bug. So I did not upload the data.
Comment 36 Dan Mashal 2013-03-26 06:05:23 EDT
Please update.
Comment 37 Brian J. Murrell 2013-12-11 11:57:33 EST
Fedora 20's abrt flagged a crash as this bug.  Can we get the Version: updated to 20 please so that this bug is tracked for F20 and closed EOL too prematurely?

Note You need to log in before you can comment on or make changes to this bug.